From 94afe0d76fd79d7d58a49d2dd94acda0b49e97e2 Mon Sep 17 00:00:00 2001
From: Timothy E Baldwin <T.E.Baldwin99@members.leeds.ac.uk>
Date: Mon, 7 Oct 2013 22:21:14 +0100
Subject: [PATCH 4/4] Move dependencies to separate files.

---
 bsd/RiscOS/Sources/Audio/SharedSnd/Makefile        |   2 +-
 bsd/RiscOS/Sources/HWSupport/VFPSupport/Makefile   |   2 +-
 castle/RiscOS/Sources/Apps/Alarm/Makefile          |   2 +-
 castle/RiscOS/Sources/Apps/Chars/Makefile          |   2 +-
 castle/RiscOS/Sources/Apps/Draw/Makefile           |   2 +-
 castle/RiscOS/Sources/Apps/Edit/Makefile           |   2 +-
 castle/RiscOS/Sources/Apps/Help2/Makefile          |   2 +-
 castle/RiscOS/Sources/Apps/Paint/Makefile          |   2 +-
 castle/RiscOS/Sources/Desktop/Desktop/Makefile     |   2 +-
 castle/RiscOS/Sources/Desktop/DragASprit/Makefile  |   2 +-
 castle/RiscOS/Sources/Desktop/DragAnObj/Makefile   |   2 +-
 castle/RiscOS/Sources/Desktop/Filer/Makefile       |   2 +-
 castle/RiscOS/Sources/Desktop/FilerAct/Makefile    |   2 +-
 castle/RiscOS/Sources/Desktop/FilerSWIs/Makefile   |   2 +-
 castle/RiscOS/Sources/Desktop/Filter/Makefile      |   2 +-
 castle/RiscOS/Sources/Desktop/Free/Makefile        |   2 +-
 castle/RiscOS/Sources/Desktop/Pinboard/Makefile    |   2 +-
 castle/RiscOS/Sources/Desktop/ShellCLI/Makefile    |   2 +-
 castle/RiscOS/Sources/Desktop/Switcher/Makefile    |   2 +-
 castle/RiscOS/Sources/Desktop/TaskWindow/Makefile  |   2 +-
 castle/RiscOS/Sources/Desktop/Wimp/Makefile        |   2 +-
 castle/RiscOS/Sources/Desktop/WimpUtils/Makefile   |   2 +-
 castle/RiscOS/Sources/FileSys/ADFS/ADFS/Makefile   |   2 +-
 .../RiscOS/Sources/FileSys/ADFS/ADFSFiler/Makefile |   2 +-
 castle/RiscOS/Sources/FileSys/CDFS/CDFS/Makefile   |   2 +-
 .../RiscOS/Sources/FileSys/CDFS/CDFSFiler/Makefile |   2 +-
 castle/RiscOS/Sources/FileSys/FSLock/Makefile      |   2 +-
 castle/RiscOS/Sources/FileSys/FileCore/Makefile    |   2 +-
 .../Sources/FileSys/FileCore/Test/Tester/Makefile  |   2 +-
 castle/RiscOS/Sources/FileSys/FileSwitch/Makefile  |   2 +-
 .../RiscOS/Sources/FileSys/ImageFS/DOSFS/Makefile  |   2 +-
 castle/RiscOS/Sources/FileSys/NetFS/NetFS/Makefile |   2 +-
 .../RiscOS/Sources/FileSys/NetFS/NetFiler/Makefile |   2 +-
 castle/RiscOS/Sources/FileSys/NetPrint/Makefile    |   2 +-
 .../Sources/FileSys/PCCardFS/PCCardFS/Makefile     |   2 +-
 castle/RiscOS/Sources/FileSys/PipeFS/Makefile      |   2 +-
 castle/RiscOS/Sources/FileSys/RAMFS/RAMFS/Makefile |   2 +-
 .../Sources/FileSys/RAMFS/RAMFSFiler/Makefile      |   2 +-
 .../Sources/FileSys/ResourceFS/ResFiler/Makefile   |   2 +-
 .../Sources/FileSys/ResourceFS/ResourceFS/Makefile |   2 +-
 .../RiscOS/Sources/FileSys/SCSIFS/SCSIFS/Makefile  |   2 +-
 castle/RiscOS/Sources/HAL/IOMD/Makefile            |   2 +-
 castle/RiscOS/Sources/HWSupport/Buffers/Makefile   |   2 +-
 castle/RiscOS/Sources/HWSupport/CD/ATAPI/Makefile  |   2 +-
 .../Sources/HWSupport/CD/CDFSDriver/Makefile       |   2 +-
 castle/RiscOS/Sources/HWSupport/DMA/Makefile       |   2 +-
 castle/RiscOS/Sources/HWSupport/DeviceFS/Makefile  |   2 +-
 castle/RiscOS/Sources/HWSupport/IIC/Makefile       |   2 +-
 castle/RiscOS/Sources/HWSupport/Joystick/Makefile  |   2 +-
 castle/RiscOS/Sources/HWSupport/Mouse/Makefile     |   2 +-
 castle/RiscOS/Sources/HWSupport/NVRAM/Makefile     |   2 +-
 .../NVRAM/Utils/Lazarus/MakeImage/Makefile         |   2 +-
 castle/RiscOS/Sources/HWSupport/PCI/Makefile       |   2 +-
 castle/RiscOS/Sources/HWSupport/PS2Driver/Makefile |   2 +-
 castle/RiscOS/Sources/HWSupport/Parallel/Makefile  |   2 +-
 castle/RiscOS/Sources/HWSupport/Podule/Makefile    |   2 +-
 castle/RiscOS/Sources/HWSupport/PortMan/Makefile   |   2 +-
 castle/RiscOS/Sources/HWSupport/Portable/Makefile  |   2 +-
 castle/RiscOS/Sources/HWSupport/RTCAdjust/Makefile |   2 +-
 .../Sources/HWSupport/SCSI/SCSIDriver/Makefile     |   2 +-
 castle/RiscOS/Sources/HWSupport/SerMouse/Makefile  |   2 +-
 castle/RiscOS/Sources/HWSupport/Serial/Makefile    |   2 +-
 castle/RiscOS/Sources/HWSupport/SerialSpt/Makefile |   2 +-
 .../RiscOS/Sources/HWSupport/Sound/Sound0/Makefile |   2 +-
 .../RiscOS/Sources/HWSupport/Sound/Sound1/Makefile |   2 +-
 .../RiscOS/Sources/HWSupport/Sound/Sound2/Makefile |   2 +-
 .../HWSupport/Sound/Voices/Percussion/Makefile     |   2 +-
 .../HWSupport/Sound/Voices/StringLib/Makefile      |   2 +-
 .../HWSupport/Sound/Voices/WaveSynth/Makefile      |   2 +-
 .../RiscOS/Sources/HWSupport/SystemDevs/Makefile   |   2 +-
 castle/RiscOS/Sources/HWSupport/UnSqzAIF/Makefile  |   2 +-
 castle/RiscOS/Sources/Internat/IntKey/Makefile     |   2 +-
 castle/RiscOS/Sources/Internat/Inter/Makefile      |   2 +-
 castle/RiscOS/Sources/Internat/Messages/Makefile   |   2 +-
 .../Sources/Internat/Messages/Utils/Makefile       |   2 +-
 castle/RiscOS/Sources/Internat/MsgTrans/Makefile   |   2 +-
 .../Sources/Internat/Territory/Manager/Makefile    |   2 +-
 .../Sources/Internat/Territory/Module/Makefile     |   2 +-
 castle/RiscOS/Sources/Kernel/Dev/HeapTest/Makefile |   2 +-
 castle/RiscOS/Sources/Kernel/Dev/IICTest/Makefile  |  23 +--
 castle/RiscOS/Sources/Kernel/Makefile              |   2 +-
 .../RiscOS/Sources/Kernel/hdr/ExportVals/Makefile  |   2 +-
 castle/RiscOS/Sources/Lib/AsmUtils/Makefile        |   2 +-
 castle/RiscOS/Sources/Lib/Configure/Makefile       |   2 +-
 castle/RiscOS/Sources/Lib/DebugLib/Makefile        |   2 +-
 .../Sources/Lib/DebugLib/Tests/CLI_App/Makefile    |   2 +-
 .../Sources/Lib/DebugLib/Tests/GUI_Test/Makefile   |   2 +-
 .../Sources/Lib/DebugLib/Tests/TestMod/Makefile    |   2 +-
 castle/RiscOS/Sources/Lib/ModMalloc/Makefile       |   2 +-
 castle/RiscOS/Sources/Lib/PDebug/Makefile          |   2 +-
 .../Sources/Lib/PDebug/Utils/PDebugM/Makefile      |   2 +-
 .../Sources/Lib/PDebug/Utils/SimpleRec/Makefile    |   2 +-
 .../Sources/Lib/PDebug/Utils/SimpleSend/Makefile   |   2 +-
 castle/RiscOS/Sources/Lib/PlainArgv/Makefile       |   2 +-
 castle/RiscOS/Sources/Lib/RISC_OSLib/Makefile      |   2 +-
 .../Sources/Lib/RISC_OSLib/test/!TboxCalc/Makefile |   2 +-
 castle/RiscOS/Sources/Lib/Unicode/Makefile         |   2 +-
 castle/RiscOS/Sources/Lib/callx/Makefile           |   2 +-
 castle/RiscOS/Sources/Lib/remotedb/Makefile        |   2 +-
 .../RiscOS/Sources/Networking/AUN/AUNMsgs/Makefile |   2 +-
 .../Sources/Networking/AUN/Access/Freeway/Makefile |   2 +-
 .../RiscOS/Sources/Networking/AUN/BootNet/Makefile |   2 +-
 castle/RiscOS/Sources/Networking/AUN/Net/Makefile  |   2 +-
 .../Sources/Networking/AUN/Net/podule/Makefile     | 165 +--------------------
 .../RiscOS/Sources/Networking/BBCEconet/Makefile   |   2 +-
 castle/RiscOS/Sources/Networking/DHCP/Makefile     |   2 +-
 .../Sources/Networking/Econet/Loader/Makefile      |  14 +-
 castle/RiscOS/Sources/Networking/Econet/Makefile   |   2 +-
 .../RiscOS/Sources/Networking/NetStatus/Makefile   |   2 +-
 .../Networking/Omni/Protocols/LanManFS/Makefile    |   2 +-
 .../Sources/Printing/Modules/MakePSFont/Makefile   |   2 +-
 .../Sources/Printing/Modules/PDriver/Makefile      |   2 +-
 castle/RiscOS/Sources/Printing/PDumpers/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumper24/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperCX/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperDM/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperE2/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperIW/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperLJ/Makefile   |   2 +-
 .../Sources/Printing/PDumpers/PDumperPCL/Makefile  |   2 +-
 .../Sources/Printing/PDumpers/PDumperSP/Makefile   |   2 +-
 castle/RiscOS/Sources/Programmer/BASIC/Makefile    |   2 +-
 .../RiscOS/Sources/Programmer/BASICTrans/Makefile  |   2 +-
 castle/RiscOS/Sources/Programmer/BootCmds/Makefile |   2 +-
 castle/RiscOS/Sources/Programmer/DDEUtils/Makefile |   2 +-
 castle/RiscOS/Sources/Programmer/DDT/Makefile      |   2 +-
 castle/RiscOS/Sources/Programmer/Debugger/Makefile |   2 +-
 castle/RiscOS/Sources/Programmer/HdrSrc/Makefile   |   2 +-
 castle/RiscOS/Sources/Programmer/HostFS/Makefile   |   2 +-
 castle/RiscOS/Sources/Programmer/Obey/Makefile     |   2 +-
 castle/RiscOS/Sources/SystemRes/HeroNames/Makefile |   2 +-
 castle/RiscOS/Sources/Toolbox/ColourDbox/Makefile  |   2 +-
 castle/RiscOS/Sources/Toolbox/ColourMenu/Makefile  |   2 +-
 castle/RiscOS/Sources/Toolbox/Common/Makefile      |   2 +-
 castle/RiscOS/Sources/Toolbox/DCS/Makefile         |   2 +-
 castle/RiscOS/Sources/Toolbox/FileInfo/Makefile    |   2 +-
 castle/RiscOS/Sources/Toolbox/FontDbox/Makefile    |   2 +-
 castle/RiscOS/Sources/Toolbox/FontMenu/Makefile    |   2 +-
 castle/RiscOS/Sources/Toolbox/Gadgets/Makefile     |   2 +-
 castle/RiscOS/Sources/Toolbox/IconBar/Makefile     |   2 +-
 .../RiscOS/Sources/Toolbox/Libs/eventlib/Makefile  |   2 +-
 .../RiscOS/Sources/Toolbox/Libs/flexlib/Makefile   |   2 +-
 .../RiscOS/Sources/Toolbox/Libs/renderlib/Makefile |   2 +-
 .../Sources/Toolbox/Libs/toolboxlib/Makefile       |   2 +-
 .../RiscOS/Sources/Toolbox/Libs/wimplib/Makefile   |   2 +-
 castle/RiscOS/Sources/Toolbox/Menu/Makefile        |   2 +-
 castle/RiscOS/Sources/Toolbox/PrintDbox/Makefile   |   2 +-
 castle/RiscOS/Sources/Toolbox/ProgInfo/Makefile    |   2 +-
 castle/RiscOS/Sources/Toolbox/SaveAs/Makefile      |   2 +-
 castle/RiscOS/Sources/Toolbox/Scale/Makefile       |   2 +-
 castle/RiscOS/Sources/Toolbox/TinyStubs/Makefile   |   2 +-
 castle/RiscOS/Sources/Toolbox/ToolAction/Makefile  |   2 +-
 castle/RiscOS/Sources/Toolbox/Toolbox/Makefile     |   2 +-
 castle/RiscOS/Sources/Toolbox/Window/Makefile      |   2 +-
 .../Sources/Video/HWSupport/VIDC20Video/Makefile   |   2 +-
 .../RiscOS/Sources/Video/Render/Colours/Makefile   |   2 +-
 castle/RiscOS/Sources/Video/Render/Draw/Makefile   |   2 +-
 .../RiscOS/Sources/Video/Render/DrawFile/Makefile  |   2 +-
 .../Sources/Video/Render/Fonts/ITable/Makefile     |   2 +-
 .../Sources/Video/Render/Fonts/Manager/Makefile    |   2 +-
 .../Sources/Video/Render/Fonts/ROMFonts/Makefile   |   2 +-
 .../Video/Render/Hourglass/Hourmake/Makefile       |   2 +-
 .../RiscOS/Sources/Video/Render/Hourglass/Makefile |   2 +-
 .../RiscOS/Sources/Video/Render/ScrBlank/Makefile  |   2 +-
 .../Sources/Video/Render/SpriteUtil/Makefile       |   2 +-
 castle/RiscOS/Sources/Video/Render/Super/Makefile  |   2 +-
 castle/RiscOS/Sources/Video/UserI/Display/Makefile |   2 +-
 castle/RiscOS/Sources/Video/UserI/Picker/Makefile  |   2 +-
 .../RiscOS/Sources/Video/UserI/ScrModes/Makefile   |   2 +-
 .../RiscOS/Sources/Video/UserI/ScrSaver/Makefile   |   2 +-
 .../Sources/ThirdParty/JSmith/Lib/DDTLib/Makefile  |   2 +-
 .../Sources/ThirdParty/JSmith/Lib/Trace/Makefile   |   2 +-
 .../Sources/ThirdParty/JSmith/Lib/Wild/Makefile    |   2 +-
 .../RiscOS/Sources/HWSupport/FPASC/riscos/Makefile |   2 +-
 .../RiscOS/Sources/Lib/TCPIPLibs/inetlib/Makefile  |   2 +-
 .../Sources/Lib/TCPIPLibs/rpclib/rpc/Makefile      |   2 +-
 .../RiscOS/Sources/Lib/TCPIPLibs/socklib/Makefile  |   2 +-
 .../RiscOS/Sources/Lib/TCPIPLibs/unixlib/Makefile  |   2 +-
 .../Sources/Networking/AUN/Internet/build/Makefile |   2 +-
 mixed/RiscOS/Sources/Programmer/Squash/Makefile    |   2 +-
 .../SystemRes/Internet/Sources/arp/Makefile        |   2 +-
 .../SystemRes/Internet/Sources/gethost/Makefile    |   2 +-
 .../SystemRes/Internet/Sources/host/Makefile       |   2 +-
 .../SystemRes/Internet/Sources/ifconfig/Makefile   |   2 +-
 .../SystemRes/Internet/Sources/ifrconfig/Makefile  |   2 +-
 .../SystemRes/Internet/Sources/inetstat/Makefile   |   2 +-
 .../SystemRes/Internet/Sources/ipvars/Makefile     |   2 +-
 .../SystemRes/Internet/Sources/map-mbone/Makefile  |   2 +-
 .../SystemRes/Internet/Sources/mrinfo/Makefile     |   2 +-
 .../SystemRes/Internet/Sources/mtrace/Makefile     |   2 +-
 .../SystemRes/Internet/Sources/newfiler/Makefile   |   2 +-
 .../SystemRes/Internet/Sources/ping/Makefile       |   2 +-
 .../SystemRes/Internet/Sources/pong/Makefile       |   2 +-
 .../SystemRes/Internet/Sources/route/Makefile      |   2 +-
 .../SystemRes/Internet/Sources/showstat/Makefile   |   2 +-
 .../SystemRes/Internet/Sources/sysctl/Makefile     |   2 +-
 .../SystemRes/Internet/Sources/traceroute/Makefile |   2 +-
 .../SystemRes/Internet/Sources/utils/Makefile      |   2 +-
 .../RiscOS/Sources/Video/Render/SprExtend/Makefile |   2 +-
 199 files changed, 199 insertions(+), 395 deletions(-)

diff --git a/bsd/RiscOS/Sources/Audio/SharedSnd/Makefile b/bsd/RiscOS/Sources/Audio/SharedSnd/Makefile
index fb1a4ef..f04b4ae 100644
--- a/bsd/RiscOS/Sources/Audio/SharedSnd/Makefile
+++ b/bsd/RiscOS/Sources/Audio/SharedSnd/Makefile
@@ -33,4 +33,4 @@ ROM_SOURCE = Gets.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/bsd/RiscOS/Sources/HWSupport/VFPSupport/Makefile b/bsd/RiscOS/Sources/HWSupport/VFPSupport/Makefile
index 3fbb0db..d5a4bb8 100644
--- a/bsd/RiscOS/Sources/HWSupport/VFPSupport/Makefile
+++ b/bsd/RiscOS/Sources/HWSupport/VFPSupport/Makefile
@@ -35,4 +35,4 @@ ROM_SOURCE = GetAll.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Alarm/Makefile b/castle/RiscOS/Sources/Apps/Alarm/Makefile
index 495bb26..49c3c69 100644
--- a/castle/RiscOS/Sources/Apps/Alarm/Makefile
+++ b/castle/RiscOS/Sources/Apps/Alarm/Makefile
@@ -145,4 +145,4 @@ bbe-alarm: bbe-generic
         BBE_Export_Dir Resources
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Chars/Makefile b/castle/RiscOS/Sources/Apps/Chars/Makefile
index 9b691be..5cdc1bd 100644
--- a/castle/RiscOS/Sources/Apps/Chars/Makefile
+++ b/castle/RiscOS/Sources/Apps/Chars/Makefile
@@ -134,4 +134,4 @@ bbe-chars: bbe-generic
         BBE_Export_Dir Resources
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Draw/Makefile b/castle/RiscOS/Sources/Apps/Draw/Makefile
index 10393a3..ee2931e 100644
--- a/castle/RiscOS/Sources/Apps/Draw/Makefile
+++ b/castle/RiscOS/Sources/Apps/Draw/Makefile
@@ -313,4 +313,4 @@ Debug.${APP}.Sprites: $(RDIR).Sprites
 Debug.${APP}.Templates: $(LDIR).Templates
         ${CP} $(LDIR).Templates $@ ${CPFLAGS}
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Edit/Makefile b/castle/RiscOS/Sources/Apps/Edit/Makefile
index a1bb2e6..d4ca7c6 100644
--- a/castle/RiscOS/Sources/Apps/Edit/Makefile
+++ b/castle/RiscOS/Sources/Apps/Edit/Makefile
@@ -189,4 +189,4 @@ debug.${APP}.!RunImage: ${OBJSD} ${RLIB} ${CLIB}
         ${LD} -o $@ -debug ${OBJSD} ${RLIB} ${CLIB}
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Help2/Makefile b/castle/RiscOS/Sources/Apps/Help2/Makefile
index f5338a4..83fb870 100644
--- a/castle/RiscOS/Sources/Apps/Help2/Makefile
+++ b/castle/RiscOS/Sources/Apps/Help2/Makefile
@@ -166,4 +166,4 @@ bbe-help2: bbe-generic
 
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Apps/Paint/Makefile b/castle/RiscOS/Sources/Apps/Paint/Makefile
index caf268f..797fc86 100644
--- a/castle/RiscOS/Sources/Apps/Paint/Makefile
+++ b/castle/RiscOS/Sources/Apps/Paint/Makefile
@@ -255,4 +255,4 @@ debug.${APP}.Templates: ${LDIR}.Templates
         ${CP} ${LDIR}.Templates $@ ${CPFLAGS}
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Desktop/Makefile b/castle/RiscOS/Sources/Desktop/Desktop/Makefile
index c8fb5de..ff1e55e 100644
--- a/castle/RiscOS/Sources/Desktop/Desktop/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Desktop/Makefile
@@ -46,4 +46,4 @@ endif
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/DragASprit/Makefile b/castle/RiscOS/Sources/Desktop/DragASprit/Makefile
index 57fb3b6..4a2a55d 100644
--- a/castle/RiscOS/Sources/Desktop/DragASprit/Makefile
+++ b/castle/RiscOS/Sources/Desktop/DragASprit/Makefile
@@ -34,4 +34,4 @@ RESOURCES  = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/DragAnObj/Makefile b/castle/RiscOS/Sources/Desktop/DragAnObj/Makefile
index 3df91cb..fb629b0 100644
--- a/castle/RiscOS/Sources/Desktop/DragAnObj/Makefile
+++ b/castle/RiscOS/Sources/Desktop/DragAnObj/Makefile
@@ -31,4 +31,4 @@ RESOURCES = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Filer/Makefile b/castle/RiscOS/Sources/Desktop/Filer/Makefile
index 8ba9658..901d3a2 100644
--- a/castle/RiscOS/Sources/Desktop/Filer/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Filer/Makefile
@@ -33,4 +33,4 @@ TOKHELPSRC    = ${TOKENSOURCE}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/FilerAct/Makefile b/castle/RiscOS/Sources/Desktop/FilerAct/Makefile
index 6aa73bd..5357432 100644
--- a/castle/RiscOS/Sources/Desktop/FilerAct/Makefile
+++ b/castle/RiscOS/Sources/Desktop/FilerAct/Makefile
@@ -181,4 +181,4 @@ o.ModuleWrap: s.ModuleWrap
 s.ModuleWrap: ${WRAPPER}
         ${CP} ${WRAPPER} $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/FilerSWIs/Makefile b/castle/RiscOS/Sources/Desktop/FilerSWIs/Makefile
index 8d150aa..26f812b 100644
--- a/castle/RiscOS/Sources/Desktop/FilerSWIs/Makefile
+++ b/castle/RiscOS/Sources/Desktop/FilerSWIs/Makefile
@@ -31,4 +31,4 @@ RESOURCES = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Filter/Makefile b/castle/RiscOS/Sources/Desktop/Filter/Makefile
index bf3d0a4..c11d9ae 100644
--- a/castle/RiscOS/Sources/Desktop/Filter/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Filter/Makefile
@@ -32,4 +32,4 @@ HEADER1   = Filter
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Free/Makefile b/castle/RiscOS/Sources/Desktop/Free/Makefile
index d37a7a9..d111798 100644
--- a/castle/RiscOS/Sources/Desktop/Free/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Free/Makefile
@@ -35,4 +35,4 @@ EXPORTS = ${C_EXP_HDR}.Free
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Pinboard/Makefile b/castle/RiscOS/Sources/Desktop/Pinboard/Makefile
index 38b603e..0d9be0b 100644
--- a/castle/RiscOS/Sources/Desktop/Pinboard/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Pinboard/Makefile
@@ -30,4 +30,4 @@ RESOURCEEXTRA = resources_templates
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/ShellCLI/Makefile b/castle/RiscOS/Sources/Desktop/ShellCLI/Makefile
index 238f1c4..00302b5 100644
--- a/castle/RiscOS/Sources/Desktop/ShellCLI/Makefile
+++ b/castle/RiscOS/Sources/Desktop/ShellCLI/Makefile
@@ -34,4 +34,4 @@ HEADER1   = Shell
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Switcher/Makefile b/castle/RiscOS/Sources/Desktop/Switcher/Makefile
index 2ba1a68..2859f91 100644
--- a/castle/RiscOS/Sources/Desktop/Switcher/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Switcher/Makefile
@@ -44,4 +44,4 @@ resources-special:
         @echo ${COMPONENT}: resource files copied
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/TaskWindow/Makefile b/castle/RiscOS/Sources/Desktop/TaskWindow/Makefile
index 47e7729..c749393 100644
--- a/castle/RiscOS/Sources/Desktop/TaskWindow/Makefile
+++ b/castle/RiscOS/Sources/Desktop/TaskWindow/Makefile
@@ -35,4 +35,4 @@ HEADER1     = TaskWindow
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/Wimp/Makefile b/castle/RiscOS/Sources/Desktop/Wimp/Makefile
index ee4d91f..46edc42 100644
--- a/castle/RiscOS/Sources/Desktop/Wimp/Makefile
+++ b/castle/RiscOS/Sources/Desktop/Wimp/Makefile
@@ -92,4 +92,4 @@ bbe-wimp: bbe-generic-resources-get-alias
         BBE_Export_Dir Resources.${LOCALE}.${USERIF}
         BBE_Export_File VersionNum
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Desktop/WimpUtils/Makefile b/castle/RiscOS/Sources/Desktop/WimpUtils/Makefile
index d874d35..84b227e 100644
--- a/castle/RiscOS/Sources/Desktop/WimpUtils/Makefile
+++ b/castle/RiscOS/Sources/Desktop/WimpUtils/Makefile
@@ -35,4 +35,4 @@ RESOURCES = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/ADFS/ADFS/Makefile b/castle/RiscOS/Sources/FileSys/ADFS/ADFS/Makefile
index bd64e45..592b2a6 100644
--- a/castle/RiscOS/Sources/FileSys/ADFS/ADFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/ADFS/ADFS/Makefile
@@ -62,4 +62,4 @@ clean::
         ${RM} hdr.ADFSErr
         @@echo ${COMPONENT}: cleaned 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/ADFS/ADFSFiler/Makefile b/castle/RiscOS/Sources/FileSys/ADFS/ADFSFiler/Makefile
index 17cd5ed..2805d08 100644
--- a/castle/RiscOS/Sources/FileSys/ADFS/ADFSFiler/Makefile
+++ b/castle/RiscOS/Sources/FileSys/ADFS/ADFSFiler/Makefile
@@ -95,4 +95,4 @@ o.${MACHINE}._Messages_.SDFSFiler:
         IfThere LocalRes:CmdHelpSD Then ${TOKENCHECK} LocalRes:CmdHelpSD
         IfThere LocalRes:CmdHelpSD Then ${CAT} LocalRes:CmdHelpSD { >> $@ }
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/CDFS/CDFS/Makefile b/castle/RiscOS/Sources/FileSys/CDFS/CDFS/Makefile
index bef53ac..676ec22 100644
--- a/castle/RiscOS/Sources/FileSys/CDFS/CDFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/CDFS/CDFS/Makefile
@@ -36,4 +36,4 @@ ROM_SOURCE = Main.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/CDFS/CDFSFiler/Makefile b/castle/RiscOS/Sources/FileSys/CDFS/CDFSFiler/Makefile
index 9acac24..ca9643f 100644
--- a/castle/RiscOS/Sources/FileSys/CDFS/CDFSFiler/Makefile
+++ b/castle/RiscOS/Sources/FileSys/CDFS/CDFSFiler/Makefile
@@ -44,4 +44,4 @@ resources-special:
         ${CP} LocalRes:Templates ${RESFSDIR}.Templates ${CPFLAGS}
         @@echo ${COMPONENT}: resource files copied
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/FSLock/Makefile b/castle/RiscOS/Sources/FileSys/FSLock/Makefile
index 4aa4a3e..f87c0ae 100644
--- a/castle/RiscOS/Sources/FileSys/FSLock/Makefile
+++ b/castle/RiscOS/Sources/FileSys/FSLock/Makefile
@@ -78,4 +78,4 @@ ${TARGET}: ${SOURCE}
 ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
         ${CP} hdr.${COMPONENT} $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/FileCore/Makefile b/castle/RiscOS/Sources/FileSys/FileCore/Makefile
index 665d24b..39b3ad1 100644
--- a/castle/RiscOS/Sources/FileSys/FileCore/Makefile
+++ b/castle/RiscOS/Sources/FileSys/FileCore/Makefile
@@ -54,4 +54,4 @@ clean::
 	@IfThere h Then ${ECHO} ${WIPE} h ${WFLAGS}
 	@IfThere h Then ${WIPE} h ${WFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/FileCore/Test/Tester/Makefile b/castle/RiscOS/Sources/FileSys/FileCore/Test/Tester/Makefile
index fda8437..306f755 100644
--- a/castle/RiscOS/Sources/FileSys/FileCore/Test/Tester/Makefile
+++ b/castle/RiscOS/Sources/FileSys/FileCore/Test/Tester/Makefile
@@ -23,4 +23,4 @@ OBJS      = Args BGet BPut File Find FSControl GBPB logger mymalloc Random BigFi
 
 include CApp
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/FileSwitch/Makefile b/castle/RiscOS/Sources/FileSys/FileSwitch/Makefile
index 2a87070..df71cc7 100644
--- a/castle/RiscOS/Sources/FileSys/FileSwitch/Makefile
+++ b/castle/RiscOS/Sources/FileSys/FileSwitch/Makefile
@@ -40,4 +40,4 @@ HELPSRC     = HelpSrc
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/ImageFS/DOSFS/Makefile b/castle/RiscOS/Sources/FileSys/ImageFS/DOSFS/Makefile
index 95573d1..6f30f08 100644
--- a/castle/RiscOS/Sources/FileSys/ImageFS/DOSFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/ImageFS/DOSFS/Makefile
@@ -39,4 +39,4 @@ ASFLAGS     += -pd "PCMCIATRUE SETL {${PCMCIA}}"
 CFLAGS      += -DPCMCIA${PCMCIA}
 CDFLAGS     += -DDEBUGLIB
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/NetFS/NetFS/Makefile b/castle/RiscOS/Sources/FileSys/NetFS/NetFS/Makefile
index 345233a..3f6605b 100644
--- a/castle/RiscOS/Sources/FileSys/NetFS/NetFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/NetFS/NetFS/Makefile
@@ -37,4 +37,4 @@ HELPSRC    = HelpTexts
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/NetFS/NetFiler/Makefile b/castle/RiscOS/Sources/FileSys/NetFS/NetFiler/Makefile
index 553bdef..f8306cf 100644
--- a/castle/RiscOS/Sources/FileSys/NetFS/NetFiler/Makefile
+++ b/castle/RiscOS/Sources/FileSys/NetFS/NetFiler/Makefile
@@ -31,4 +31,4 @@ RESOURCEEXTRA = resources_templates
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/NetPrint/Makefile b/castle/RiscOS/Sources/FileSys/NetPrint/Makefile
index 504e0b3..ccf625b 100644
--- a/castle/RiscOS/Sources/FileSys/NetPrint/Makefile
+++ b/castle/RiscOS/Sources/FileSys/NetPrint/Makefile
@@ -33,4 +33,4 @@ HELPSRC    = HelpTexts
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/PCCardFS/PCCardFS/Makefile b/castle/RiscOS/Sources/FileSys/PCCardFS/PCCardFS/Makefile
index e807b39..a0767b7 100644
--- a/castle/RiscOS/Sources/FileSys/PCCardFS/PCCardFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/PCCardFS/PCCardFS/Makefile
@@ -126,4 +126,4 @@ ${RELOC_MOD}: ${OBJS} ${CLIB}
 ${EXP_HDR}.PCCardFS: hdr.PCCardFS
         ${CP} hdr.PCCardFS $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/PipeFS/Makefile b/castle/RiscOS/Sources/FileSys/PipeFS/Makefile
index 65c6d38..e2feac1 100644
--- a/castle/RiscOS/Sources/FileSys/PipeFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/PipeFS/Makefile
@@ -30,4 +30,4 @@ COMPONENT = PipeFS
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/RAMFS/RAMFS/Makefile b/castle/RiscOS/Sources/FileSys/RAMFS/RAMFS/Makefile
index f6298c1..99bee23 100644
--- a/castle/RiscOS/Sources/FileSys/RAMFS/RAMFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/RAMFS/RAMFS/Makefile
@@ -50,4 +50,4 @@ clean::
         ${RM} hdr.RAMFSErr
         @@echo ${COMPONENT}: cleaned 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/RAMFS/RAMFSFiler/Makefile b/castle/RiscOS/Sources/FileSys/RAMFS/RAMFSFiler/Makefile
index a562b41..33fece4 100644
--- a/castle/RiscOS/Sources/FileSys/RAMFS/RAMFSFiler/Makefile
+++ b/castle/RiscOS/Sources/FileSys/RAMFS/RAMFSFiler/Makefile
@@ -29,4 +29,4 @@ COMPONENT = RAMFSFiler
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/ResourceFS/ResFiler/Makefile b/castle/RiscOS/Sources/FileSys/ResourceFS/ResFiler/Makefile
index 2aed7a4..21899cb 100644
--- a/castle/RiscOS/Sources/FileSys/ResourceFS/ResFiler/Makefile
+++ b/castle/RiscOS/Sources/FileSys/ResourceFS/ResFiler/Makefile
@@ -30,4 +30,4 @@ TARGET    = ResFiler
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/ResourceFS/ResourceFS/Makefile b/castle/RiscOS/Sources/FileSys/ResourceFS/ResourceFS/Makefile
index edd6125..c2176a2 100644
--- a/castle/RiscOS/Sources/FileSys/ResourceFS/ResourceFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/ResourceFS/ResourceFS/Makefile
@@ -34,4 +34,4 @@ HEADER1=ResourceFS
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/FileSys/SCSIFS/SCSIFS/Makefile b/castle/RiscOS/Sources/FileSys/SCSIFS/SCSIFS/Makefile
index 1a9fd8f..c6fccf5 100644
--- a/castle/RiscOS/Sources/FileSys/SCSIFS/SCSIFS/Makefile
+++ b/castle/RiscOS/Sources/FileSys/SCSIFS/SCSIFS/Makefile
@@ -60,4 +60,4 @@ clean::
         ${WIPE} o ${WFLAGS}
         ${RM} hdr.SCSIFSErr
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HAL/IOMD/Makefile b/castle/RiscOS/Sources/HAL/IOMD/Makefile
index d7e4cb8..024840d 100644
--- a/castle/RiscOS/Sources/HAL/IOMD/Makefile
+++ b/castle/RiscOS/Sources/HAL/IOMD/Makefile
@@ -63,4 +63,4 @@ ${AIFDBG}: ${ROM_OBJS_} ${ROM_LIBS}
 ${GPADBG}: ${AIFDBG}
         ToGPA -s ${AIFDBG} ${GPADBG}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Buffers/Makefile b/castle/RiscOS/Sources/HWSupport/Buffers/Makefile
index b213b3f..964f336 100644
--- a/castle/RiscOS/Sources/HWSupport/Buffers/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Buffers/Makefile
@@ -32,4 +32,4 @@ HEADER1   = Buffer
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/CD/ATAPI/Makefile b/castle/RiscOS/Sources/HWSupport/CD/ATAPI/Makefile
index 938743a..a29e8c1 100644
--- a/castle/RiscOS/Sources/HWSupport/CD/ATAPI/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/CD/ATAPI/Makefile
@@ -35,4 +35,4 @@ ROM_SOURCE = Main.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/CD/CDFSDriver/Makefile b/castle/RiscOS/Sources/HWSupport/CD/CDFSDriver/Makefile
index d71b936..20086e8 100644
--- a/castle/RiscOS/Sources/HWSupport/CD/CDFSDriver/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/CD/CDFSDriver/Makefile
@@ -38,4 +38,4 @@ ROM_SOURCE = Main.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/DMA/Makefile b/castle/RiscOS/Sources/HWSupport/DMA/Makefile
index db4e3b5..c82b9ce 100644
--- a/castle/RiscOS/Sources/HWSupport/DMA/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/DMA/Makefile
@@ -37,4 +37,4 @@ ROM_SOURCE = GetAll.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/DeviceFS/Makefile b/castle/RiscOS/Sources/HWSupport/DeviceFS/Makefile
index 6ef0771..03b371f 100644
--- a/castle/RiscOS/Sources/HWSupport/DeviceFS/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/DeviceFS/Makefile
@@ -35,4 +35,4 @@ EXPORTS      = ${C_EXP_HDR}.${ASMCHEADER1}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/IIC/Makefile b/castle/RiscOS/Sources/HWSupport/IIC/Makefile
index 9a1b464..d13b6bf 100644
--- a/castle/RiscOS/Sources/HWSupport/IIC/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/IIC/Makefile
@@ -34,4 +34,4 @@ HEADER1       = IIC
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Joystick/Makefile b/castle/RiscOS/Sources/HWSupport/Joystick/Makefile
index 43d247f..319c281 100644
--- a/castle/RiscOS/Sources/HWSupport/Joystick/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Joystick/Makefile
@@ -32,4 +32,4 @@ ROM_SOURCE = Front.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
